JanosVM v0.6.0 Java API

## edu.utah.janosvm.kit.comm.commspace
Class CommQueuePuller

    java.lang.Object
      |
      +--edu.utah.janosvm.sys.ListNode
            |
            +--edu.utah.janosvm.sys.Importable
                  |
                  +--edu.utah.janosvm.kit.comm.commspace.CommQueuePuller

public final class CommQueuePuller
extends Importable

A handle for the owner of the CommQueue to pull elements out of it.

Fields inherited from class edu.utah.janosvm.sys.ListNode
`pred, succ`

Constructor Summary
`CommQueuePuller()` Construct CommQueuePuller handle and a CommQueue for it to pull CommSpaceElements from.

Method Summary
`protected void` `bindTo(Exportable ex)` Bind this Importable to the given Exportable.
`protected void` `unbindFrom()` Unbind this Importable from any objects its referencing.
`CommSpaceElement` `waitToTake()` Take an element from the queue, or wait for one to be added and return that.

Methods inherited from class edu.utah.janosvm.sys.Importable
`copy, finalize, revoke, toString`

Methods inherited from class edu.utah.janosvm.sys.ListNode
`append, clone, prepend, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommQueuePuller

    public CommQueuePuller()

  Construct CommQueuePuller handle and a CommQueue for it to pull CommSpaceElements from.

Method Detail

### bindTo

    protected void bindTo(Exportable ex)

  Description copied from class: Importable
  Bind this Importable to the given Exportable. The most common implementation of this method would be to cast the Exportable to the type that the Importable subclass handles and store it in the object as well as any other handy pointers/values.
  Overrides:
    bindTo in class Importable
  Tags copied from class: Importable
  Parameters:
    `ex` - The Exportable that is being imported.

### unbindFrom

    protected void unbindFrom()

  Description copied from class: Importable
  Unbind this Importable from any objects its referencing. The most common implementation of this method would be null out any object references in this object.
  Overrides:
    unbindFrom in class Importable

### waitToTake

    public CommSpaceElement waitToTake()
                                throws java.lang.InterruptedException

  Take an element from the queue, or wait for one to be added and return that.
  Returns:
    The next element on the queue.

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002